## $Id: workflow.py 15403 2019-05-07 08:50:16Z henrik $
##
## Copyright (C) 2019 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Workflow for students.
"""
import grok
from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
from waeup.kofa.students.interfaces import IStudent

@grok.subscribe(IStudent, IWorkflowTransitionEvent)
def additional_handle_student_transition_event(obj, event):
    """Additionally reset library flag after school fee payment.
    """
    if event.transition.transition_id in (
        'pay_school_fee', 'approve_school_fee',
        'pay_pg_fee', 'approve_pg_fee'):
        obj.library = False
    return
